Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » PHP Development Tools (PDT) » problem in executing a php script
problem in executing a php script [message #78164] Wed, 13 August 2008 16:33 Go to next message
Lorenzo Bettini is currently offline Lorenzo BettiniFriend
Messages: 1805
Registered: July 2009
Location: Firenze, Italy
Senior Member
Hi

I'm using PDT 2 under ganymede and when I try to run a php script as a
"php script" I get the error:

the current debugger does not have any php executables

but I have configured a php executable. Is it due to the fact that I
don't have xdebug? But I'd only want to run the script (for now), not
to debut it... it used to work on previous versions of PDT...

any clue please?
thanks
Lorenzo

--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
ICQ# lbetto, 16080134 (GNU/Linux User # 158233)
HOME: http://www.lorenzobettini.it MUSIC: http://www.purplesucker.com
http://www.myspace.com/supertrouperabba
BLOGS: http://tronprog.blogspot.com http://longlivemusic.blogspot.com
http://www.gnu.org/software/src-highlite
http://www.gnu.org/software/gengetopt
http://www.gnu.org/software/gengen http://doublecpp.sourceforge.net


Re: problem in executing a php script [message #78363 is a reply to message #78164] Fri, 15 August 2008 15:44 Go to previous messageGo to next message
Lorenzo Bettini is currently offline Lorenzo BettiniFriend
Messages: 1805
Registered: July 2009
Location: Firenze, Italy
Senior Member
Lorenzo Bettini wrote:
> Hi
>
> I'm using PDT 2 under ganymede and when I try to run a php script as a
> "php script" I get the error:
>
> the current debugger does not have any php executables
>
> but I have configured a php executable. Is it due to the fact that I
> don't have xdebug? But I'd only want to run the script (for now), not
> to debut it... it used to work on previous versions of PDT...
>

by the way, I now installed xdebug and can also debug a php web page,
but I still can't run a php script (same error as above)...

--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
ICQ# lbetto, 16080134 (GNU/Linux User # 158233)
HOME: http://www.lorenzobettini.it MUSIC: http://www.purplesucker.com
http://www.myspace.com/supertrouperabba
BLOGS: http://tronprog.blogspot.com http://longlivemusic.blogspot.com
http://www.gnu.org/software/src-highlite
http://www.gnu.org/software/gengetopt
http://www.gnu.org/software/gengen http://doublecpp.sourceforge.net


Re: problem in executing a php script [message #78378 is a reply to message #78363] Fri, 15 August 2008 16:01 Go to previous messageGo to next message
D Kelsey is currently offline D KelseyFriend
Messages: 232
Registered: July 2009
Senior Member
In the PHP preferences section, what is your default debugger ? do you have any executables defined
for that debugger ?

Dave Kelsey



Lorenzo Bettini wrote:
> Lorenzo Bettini wrote:
>> Hi
>>
>> I'm using PDT 2 under ganymede and when I try to run a php script as a
>> "php script" I get the error:
>>
>> the current debugger does not have any php executables
>>
>> but I have configured a php executable. Is it due to the fact that I
>> don't have xdebug? But I'd only want to run the script (for now), not
>> to debut it... it used to work on previous versions of PDT...
>>
>
> by the way, I now installed xdebug and can also debug a php web page,
> but I still can't run a php script (same error as above)...
>
Re: problem in executing a php script [message #78392 is a reply to message #78378] Fri, 15 August 2008 16:15 Go to previous message
Lorenzo Bettini is currently offline Lorenzo BettiniFriend
Messages: 1805
Registered: July 2009
Location: Firenze, Italy
Senior Member
Dave Kelsey wrote:
> In the PHP preferences section, what is your default debugger ? do you
> have any executables defined for that debugger ?
>

Sorry, I found the problem: the run configurations were created with
previous versions of pdt, so I need to change them so that the use the
right debugger (xdebug) and the right executable; the default now seems
to be zend which is not installed in my system.

sorry for the noise.

The problem reported however was kind of confusing since it seemed to
refer to the general setting (which I did correctly) and not to the
setting of the run configuration.

cheers
Lorenzo

--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
ICQ# lbetto, 16080134 (GNU/Linux User # 158233)
HOME: http://www.lorenzobettini.it MUSIC: http://www.purplesucker.com
http://www.myspace.com/supertrouperabba
BLOGS: http://tronprog.blogspot.com http://longlivemusic.blogspot.com
http://www.gnu.org/software/src-highlite
http://www.gnu.org/software/gengetopt
http://www.gnu.org/software/gengen http://doublecpp.sourceforge.net


Previous Topic:Editor not opening .php that contains html
Next Topic:running php script on remote system
Goto Forum:
  


Current Time: Wed Feb 01 13:54:00 GMT 2023

Powered by FUDForum. Page generated in 0.02770 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top